Skip to main content
POST
Public Create Position
This endpoint creates a position associated with an organization. It accepts the PositionRequestCreateSchema as the request body and returns PublicApiPositionBaseResponse on success.

Overview

  • Method: POST
  • Path: /v0/position/
  • OperationId: public_create_position_v0_position__post
  • Authentication: header x-api-key (APIKeyHeader in the OpenAPI)

Example Request

Authorizations

x-api-key
string
header
required

Body

application/json
name
string
required
organization_id
string<uuid>
required
hr_code
string | null
description
string | null
Maximum string length: 999
cbo
string | null
client_integration_code
string | null

Response

Successful Response

id
string<uuid>
required
organization_id
string<uuid>
required
name
string
required
is_active
boolean
required
hr_code
string | null
description
string | null
cbo
string | null
client_integration_code
string | null